# MSP::CCSThreadMutex Class Reference

`#include <CCSThreadMutex.h>`

List of all members.

## Public Member Functions

| CCSThreadMutex ()
| Default Constructor.
| ~CCSThreadMutex ()
| Destructor.
void | lock () const
void | unlock () const

## Detailed Description

Definition at line 14 of file CCSThreadMutex.h.

## Constructor & Destructor Documentation

CCSThreadMutex::CCSThreadMutex | ( |  | ) |

Default Constructor.

Definition at line 11 of file CCSThreadMutex.cpp.

CCSThreadMutex::~CCSThreadMutex | ( |  | ) |

Destructor.

Definition at line 24 of file CCSThreadMutex.cpp.

## Member Function Documentation

void CCSThreadMutex::lock | ( |  | ) | const

Definition at line 34 of file CCSThreadMutex.cpp.

void CCSThreadMutex::unlock | ( |  | ) | const

Definition at line 46 of file CCSThreadMutex.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/threads/CCSThreadMutex.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/threads/CCSThreadMutex.cpp